using System;
using System.Collections.Generic;
using System.Text;

namespace Shapes
{
    internal class Circle: PositionedShape
    {
        private int r;

        public Circle(int pX, int pY, int r) : base(pX, pY)
        {
            this.r = r;
        }

        public override string GetName()
        {
            return $"Circle, posX: {posX}, posY: {posY}, Area: {GetArea()}";
        }

        public override double GetArea()
        {
            return r*r*Math.PI;
        }
    }
}
